couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Candler <>
Subject Re: libmozjs-dev conflicts with firefox on Ubuntu
Date Wed, 25 Nov 2009 09:35:57 GMT
On Tue, Nov 24, 2009 at 10:42:11PM +0000, Noah Slater wrote:
> This is pretty serious IMO. CouchDB is now conflicting with Firefox and a bunch of other

The CouchDB which ubuntu bundles is built against xulrunner's libmozjs, and
they patch the startup script so that LD_LIBRARY_PATH is set.

More details in the thread starting<>

Incidentally, I use xubuntu on my fairly old laptop. A big advantage of this
over regular ubuntu is that xubuntu-desktop depends on a *lot* fewer
packages than ubuntu-desktop; and in particular, you don't get ubuntu's own
build of couchdb. This is preferable when you want to build your own.

Maybe the ubuntu-server flavour would be OK too, I haven't tried that for



View raw message